﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using Bvews.Common;

namespace AudioLoopMaker
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            do
            {
                Settings.Load();
                Settings.Upgrade();
                LanguageSettingManager.Load(Settings.Instance.Language);

                LanguageSettingManager.Relaunch = false;
                Application.Run(new FormMain(args));
            } while (LanguageSettingManager.Relaunch);
        }
    }
}
